<?php
/**
 * partners Section options
 *
 * @package Theme Palace
 * @subpackage Sellnow
 * @since Sellnow 1.0.0
 */

// Add partners section
$wp_customize->add_section( 'sellnow_partners_section', array(
	'title'             => esc_html__( 'Our partners','sellnow' ),
	'description'       => esc_html__( 'Partners Section options.', 'sellnow' ),
	'panel'             => 'sellnow_front_page_panel',
) );

// partners content enable control and setting
$wp_customize->add_setting( 'sellnow_theme_options[partners_section_enable]', array(
	'default'			=> 	$options['partners_section_enable'],
	'sanitize_callback' => 'sellnow_sanitize_switch_control',
) );

$wp_customize->add_control( new Sellnow_Switch_Control( $wp_customize, 'sellnow_theme_options[partners_section_enable]', array(
	'label'             => esc_html__( 'Partners Section Enable', 'sellnow' ),
	'section'           => 'sellnow_partners_section',
	'on_off_label' 		=> sellnow_switch_options(),
) ) );

if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'sellnow_theme_options[partners_section_enable]', array(
		'selector'            => '#sellnow_partners_section .tooltiptext',
		'settings'            => 'sellnow_theme_options[partners_section_enable]',
    ) );
}

for ( $i = 1; $i <= 6; $i++ ) :

	// partners image setting and control.
	$wp_customize->add_setting( 'sellnow_theme_options[partners_image_' . $i . ']', array(
		'sanitize_callback' => 'sellnow_sanitize_image',
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'sellnow_theme_options[partners_image_' . $i . ']',
			array(
			'label'       		=> sprintf( esc_html__( 'Image %d', 'sellnow' ), $i),
			'section'     		=> 'sellnow_partners_section',
			'active_callback'	=> 'sellnow_is_partners_section_enable',
	) ) );

	// partners url setting and control
	$wp_customize->add_setting( 'sellnow_theme_options[partners_url_' . $i . ']', array(
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( 'sellnow_theme_options[partners_url_' . $i . ']', array(
		'label'           	=> sprintf( esc_html__( 'partners Url %d', 'sellnow' ), $i),
		'section'        	=> 'sellnow_partners_section',
		'active_callback' 	=> 'sellnow_is_partners_section_enable',
		'type'				=> 'url',
	) );

endfor;