<?php
/**
 * Why Choose Us Section options
 *
 * @package Theme Palace
 * @subpackage Sellnow
 * @since Sellnow 1.0.0
 */

// Add why choose us section
$wp_customize->add_section( 'sellnow_why_choose_us_section', array(
	'title'             => esc_html__( 'Why Choose Us','sellnow' ),
	'description'       => esc_html__( 'Why Choose Us Section options.', 'sellnow' ),
	'panel'             => 'sellnow_front_page_panel',
) );

// why choose us content enable control and setting
$wp_customize->add_setting( 'sellnow_theme_options[why_choose_us_section_enable]', array(
	'default'			=> 	$options['why_choose_us_section_enable'],
	'sanitize_callback' => 'sellnow_sanitize_switch_control',
) );

$wp_customize->add_control( new Sellnow_Switch_Control( $wp_customize, 'sellnow_theme_options[why_choose_us_section_enable]', array(
	'label'             => esc_html__( 'why choose us Section Enable', 'sellnow' ),
	'section'           => 'sellnow_why_choose_us_section',
	'on_off_label' 		=> sellnow_switch_options(),
) ) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'sellnow_theme_options[why_choose_us_section_enable]', array(
		'selector'      => '#sellnow_why_choose_us_section .tooltiptext',
		'settings'      => 'sellnow_theme_options[why_choose_us_section_enable]',
    ) );
}

// about title setting and control
$wp_customize->add_setting( 'sellnow_theme_options[why_choose_us_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['why_choose_us_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'sellnow_theme_options[why_choose_us_title]', array(
	'label'           	=> esc_html__( 'Title', 'sellnow' ),
	'section'        	=> 'sellnow_why_choose_us_section',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'sellnow_theme_options[why_choose_us_title]', array(
		'selector'            => '#sellnow_why_choose_us_section h2.section-title',
		'settings'            => 'sellnow_theme_options[why_choose_us_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'sellnow_why_choose_us_section_title_partial',
    ) );
}


for ( $i = 1; $i <= 3; $i++ ) :

	// why_choose_us note control and setting
	$wp_customize->add_setting( 'sellnow_theme_options[why_choose_us_content_icon_' . $i . ']', array(
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( new Sellnow_Icon_Picker( $wp_customize, 'sellnow_theme_options[why_choose_us_content_icon_' . $i . ']', array(
		'label'             => sprintf( esc_html__( 'Select Icon %d', 'sellnow' ), $i ),
		'section'           => 'sellnow_why_choose_us_section',
		'active_callback'	=> 'sellnow_is_why_choose_us_section_enable',
	) ) );

	// why_choose_us pages drop down chooser control and setting
	$wp_customize->add_setting( 'sellnow_theme_options[why_choose_us_content_page_' . $i . ']', array(
		'sanitize_callback' => 'sellnow_sanitize_page',
	) );

	$wp_customize->add_control( new Sellnow_Dropdown_Chooser( $wp_customize, 'sellnow_theme_options[why_choose_us_content_page_' . $i . ']', array(
		'label'             => sprintf( esc_html__( 'Select Page %d', 'sellnow' ), $i ),
		'section'           => 'sellnow_why_choose_us_section',
		'choices'			=> sellnow_page_choices(),
		'active_callback'	=> 'sellnow_is_why_choose_us_section_enable',
	) ) );

	// why_choose_us hr setting and control
	$wp_customize->add_setting( 'sellnow_theme_options[why_choose_us_hr_'. $i .']', array(
		'sanitize_callback' => 'sanitize_text_field'
	) );

	$wp_customize->add_control( new Sellnow_Customize_Horizontal_Line( $wp_customize, 'sellnow_theme_options[why_choose_us_hr_'. $i .']',
		array(
			'section'         => 'sellnow_why_choose_us_section',
			'active_callback' => 'sellnow_is_why_choose_us_section_enable',
			'type'			  => 'hr'
	) ) );

endfor;

// featured product btn title setting and control
$wp_customize->add_setting( 'sellnow_theme_options[why_choose_us_btn_title]',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'           => $options['why_choose_us_btn_title'],
		'transport'			=> 'postMessage',
	)
);

$wp_customize->add_control( 'sellnow_theme_options[why_choose_us_btn_title]',
	array(
		'label'           	=> esc_html__( 'Button Label ', 'sellnow' ),
		'section'        	=> 'sellnow_why_choose_us_section',
		'active_callback' 	=> 'sellnow_is_why_choose_us_section_enable',
		'type'				=> 'text',
	)
);