<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage  Sellnow
 * @since  Sellnow 1.0.0
 */

$wp_customize->add_section( 'sellnow_breadcrumb',
	array(
		'title'             => esc_html__( 'Breadcrumb','sellnow' ),
		'description'       => esc_html__( 'Breadcrumb section options.', 'sellnow' ),
		'panel'             => 'sellnow_theme_options_panel',
	)
);

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'sellnow_theme_options[breadcrumb_enable]',
	array(
		'sanitize_callback' => 'sellnow_sanitize_switch_control',
		'default'          	=> $options['breadcrumb_enable'],
	)
);

$wp_customize->add_control( new Sellnow_Switch_Control( $wp_customize,
	'sellnow_theme_options[breadcrumb_enable]',
		array(
			'label'            	=> esc_html__( 'Enable Breadcrumb', 'sellnow' ),
			'section'          	=> 'sellnow_breadcrumb',
			'on_off_label' 		=> sellnow_switch_options(),
		)
	)
);

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'sellnow_theme_options[breadcrumb_separator]',
	array(
		'sanitize_callback'	=> 'sanitize_text_field',
		'default'          	=> $options['breadcrumb_separator'],
	)
);

$wp_customize->add_control( 'sellnow_theme_options[breadcrumb_separator]',
	array(
		'label'            	=> esc_html__( 'Separator', 'sellnow' ),
		'active_callback' 	=> 'sellnow_is_breadcrumb_enable',
		'section'          	=> 'sellnow_breadcrumb',
	)
);
