<?php
/**
 * Footer options
 *
 * @package Theme Palace
 * @subpackage  Sellnow
 * @since  Sellnow 1.0.0
 */

// Footer Section
$wp_customize->add_section( 'sellnow_section_footer',
	array(
		'title'      			=> esc_html__( 'Footer Options', 'sellnow' ),
		'priority'   			=> 900,
		'panel'      			=> 'sellnow_theme_options_panel',
	)
);

// footer text
$wp_customize->add_setting( 'sellnow_theme_options[copyright_text]',
	array(
		'default'       		=> $options['copyright_text'],
		'sanitize_callback'		=> 'sellnow_santize_allow_tag',
		'transport'				=> 'postMessage',
	)
);

$wp_customize->add_control( 'sellnow_theme_options[copyright_text]',
    array(
		'label'      			=> esc_html__( 'Copyright Text', 'sellnow' ),
		'section'    			=> 'sellnow_section_footer',
		'type'		 			=> 'textarea',
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'sellnow_theme_options[copyright_text]',
		array(
			'selector'            => '.site-info .wrapper',
			'settings'            => 'sellnow_theme_options[copyright_text]',
			'container_inclusive' => false,
			'fallback_refresh'    => true,
			'render_callback'     => 'sellnow_copyright_text_partial',
		)
	);
}

$wp_customize->add_setting( 'sellnow_theme_options[footer_background_image]',
	array(
		'sanitize_callback' => 'sellnow_sanitize_image',
	)
);

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize,
	'sellnow_theme_options[footer_background_image]',
		array(
			'label'       		=> esc_html__( 'Footer Logo Image', 'sellnow' ),
			'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'sellnow' ), 550, 521 ),
			'section'     		=> 'sellnow_section_footer',
		)
	)
);

// scroll top visible
$wp_customize->add_setting( 'sellnow_theme_options[scroll_top_visible]',
	array(
		'default'       	=> $options['scroll_top_visible'],
		'sanitize_callback' => 'sellnow_sanitize_switch_control',
	)
);

$wp_customize->add_control( new Sellnow_Switch_Control( $wp_customize,
	'sellnow_theme_options[scroll_top_visible]',
		array(
			'label'      		=> esc_html__( 'Display Scroll Top Button', 'sellnow' ),
			'section'    		=> 'sellnow_section_footer',
			'on_off_label' 		=> sellnow_switch_options(),
		)
	)
);