<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage  Sellnow
 * @since  Sellnow 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'sellnow_layout',
	array(
		'title'               => esc_html__('Layout','sellnow'),
		'description'         => esc_html__( 'Layout section options.', 'sellnow' ),
		'panel'               => 'sellnow_theme_options_panel',
	)
);

// Site layout setting and control.
$wp_customize->add_setting( 'sellnow_theme_options[site_layout]',
	array(
		'sanitize_callback'   => 'sellnow_sanitize_select',
		'default'             => $options['site_layout'],
	)
);

$wp_customize->add_control(  new Sellnow_Custom_Radio_Image_Control ( $wp_customize,
	'sellnow_theme_options[site_layout]',
		array(
			'label'               => esc_html__( 'Site Layout', 'sellnow' ),
			'section'             => 'sellnow_layout',
			'choices'			  => sellnow_site_layout(),
		)
	)
);

// Sidebar position setting and control.
$wp_customize->add_setting( 'sellnow_theme_options[sidebar_position]',
	array(
		'sanitize_callback'   => 'sellnow_sanitize_select',
		'default'             => $options['sidebar_position'],
	)
);

$wp_customize->add_control(  new Sellnow_Custom_Radio_Image_Control ( $wp_customize,
	'sellnow_theme_options[sidebar_position]',
		array(
			'label'               => esc_html__( 'Global Sidebar Position', 'sellnow' ),
			'section'             => 'sellnow_layout',
			'choices'			  => sellnow_global_sidebar_position(),
		)
	)
);

// Post sidebar position setting and control.
$wp_customize->add_setting( 'sellnow_theme_options[post_sidebar_position]',
	array(
		'sanitize_callback'   => 'sellnow_sanitize_select',
		'default'             => $options['post_sidebar_position'],
	)
);

$wp_customize->add_control(  new Sellnow_Custom_Radio_Image_Control ( $wp_customize,
	'sellnow_theme_options[post_sidebar_position]',
		array(
			'label'               => esc_html__( 'Posts Sidebar Position', 'sellnow' ),
			'section'             => 'sellnow_layout',
			'choices'			  => sellnow_sidebar_position(),
		)
	)
);

// Post sidebar position setting and control.
$wp_customize->add_setting( 'sellnow_theme_options[page_sidebar_position]',
	array(
		'sanitize_callback'   => 'sellnow_sanitize_select',
		'default'             => $options['page_sidebar_position'],
	)
);

$wp_customize->add_control( new Sellnow_Custom_Radio_Image_Control( $wp_customize,
	'sellnow_theme_options[page_sidebar_position]',
		array(
			'label'               => esc_html__( 'Pages Sidebar Position', 'sellnow' ),
			'section'             => 'sellnow_layout',
			'choices'			  => sellnow_sidebar_position(),
		)
	)
);