<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage  Sellnow
 * @since  Sellnow 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'sellnow_menu',
	array(
		'title'             => esc_html__('Header Menu','sellnow'),
		'description'       => esc_html__( 'Header Menu options.', 'sellnow' ),
		'panel'             => 'nav_menus',
	)
);

// Login text setting and control
$wp_customize->add_setting( 'sellnow_theme_options[login_text]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['login_text'],
	) );

$wp_customize->add_control( 'sellnow_theme_options[login_text]', array(
	'label'           	=> esc_html__( 'Top Login text', 'sellnow' ),
	'section'        	=> 'sellnow_menu',
	'type'				=> 'text',
) );

// ads link setting and control
$wp_customize->add_setting( 'sellnow_theme_options[login_url]', array(
	'sanitize_callback' => 'esc_url_raw',
	) );

$wp_customize->add_control( 'sellnow_theme_options[login_url]', array(
	'label'           	=> esc_html__( 'Login Url', 'sellnow' ),
	'section'        	=> 'sellnow_menu',
	'type'				=> 'url',
) );