<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage  Sellnow
 * @since  Sellnow 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'sellnow_pagination',
	array(
		'title'               	=> esc_html__('Pagination','sellnow'),
		'description'         	=> esc_html__( 'Pagination section options.', 'sellnow' ),
		'panel'               	=> 'sellnow_theme_options_panel',
	)
);

// Sidebar position setting and control.
$wp_customize->add_setting( 'sellnow_theme_options[pagination_enable]',
	array(
		'sanitize_callback' 	=> 'sellnow_sanitize_switch_control',
		'default'             	=> $options['pagination_enable'],
	)
);

$wp_customize->add_control( new Sellnow_Switch_Control( $wp_customize,
	'sellnow_theme_options[pagination_enable]',
		array(
			'label'               	=> esc_html__( 'Pagination Enable', 'sellnow' ),
			'section'             	=> 'sellnow_pagination',
			'on_off_label' 			=> sellnow_switch_options(),
		)
	)
);

// Site layout setting and control.
$wp_customize->add_setting( 'sellnow_theme_options[pagination_type]',
	array(
		'sanitize_callback'   	=> 'sellnow_sanitize_select',
		'default'             	=> $options['pagination_type'],
	)
);

$wp_customize->add_control( 'sellnow_theme_options[pagination_type]',
	array(
		'label'               	=> esc_html__( 'Pagination Type', 'sellnow' ),
		'section'             	=> 'sellnow_pagination',
		'type'                	=> 'select',
		'choices'			  	=> sellnow_pagination_options(),
		'active_callback'	  	=> 'sellnow_is_pagination_enable',
	)
);
