<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage  Sellnow
 * @since  Sellnow 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'sellnow_single_post_section',
	array(
		'title'             => esc_html__( 'Single Post','sellnow' ),
		'description'       => esc_html__( 'Options to change the single posts globally.', 'sellnow' ),
		'panel'             => 'sellnow_theme_options_panel',
	)
);

// Archive date meta setting and control.
$wp_customize->add_setting( 'sellnow_theme_options[single_post_hide_date]',
	array(
		'default'           => $options['single_post_hide_date'],
		'sanitize_callback' => 'sellnow_sanitize_switch_control',
		'transport'         => 'postMessage'
	)
);

$wp_customize->add_control( new Sellnow_Switch_Control( $wp_customize,
	'sellnow_theme_options[single_post_hide_date]',
		array(
			'label'             => esc_html__( 'Hide Date', 'sellnow' ),
			'section'           => 'sellnow_single_post_section',
			'on_off_label' 		=> sellnow_hide_options(),
		)
	)
);

// Archive author category setting and control.
$wp_customize->add_setting( 'sellnow_theme_options[single_post_hide_category]',
	array(
		'default'           => $options['single_post_hide_category'],
		'sanitize_callback' => 'sellnow_sanitize_switch_control',
		'transport'         => 'postMessage'
	)
);

$wp_customize->add_control( new Sellnow_Switch_Control( $wp_customize,
	'sellnow_theme_options[single_post_hide_category]',
		array(
			'label'             => esc_html__( 'Hide Category', 'sellnow' ),
			'section'           => 'sellnow_single_post_section',
			'on_off_label' 		=> sellnow_hide_options(),
		)
	)
);
