<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage  Sellnow
* @since  Sellnow 1.0.0
*/
if ( ! function_exists( 'sellnow_validate_long_excerpt' ) ) :
    function sellnow_validate_long_excerpt( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'sellnow' ) );
        } elseif ( $value < 5 ) {
            $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'sellnow' ) );
        } elseif ( $value > 100 ) {
            $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'sellnow' ) );
        }
        return $validity;
    }
endif;

/*==================Popular Collection===============*/

if ( ! function_exists( 'sellnow_pro_validate_popular_collection_product_cat_count' ) ) :
  function sellnow_pro_validate_popular_collection_product_cat_count( $validity, $value ){
    $value = intval( count( $value ) ); 
   if ( $value < 1 ) {
     $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of item is 1', 'sellnow' ) );
   } elseif ( $value > 3 ) {
     $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of item is 3', 'sellnow' ) );
   }
   return $validity;
  }
endif;
