<?php
/**
 * partners section
 *
 * This is the template for the content of partners section
 *
 * @package Theme Palace
 * @subpackage Biopexel Pro
 * @since Biopexel Pro 1.0.0
 */
if ( ! function_exists( 'sellnow_add_partners_section' ) ) :
    /**
    * Add partners section
    *
    *@since Biopexel Pro 1.0.0
    */
    function sellnow_add_partners_section() {
        $options = sellnow_get_theme_options();
        // Check if partners is enabled on frontpage
        $partners_enable = apply_filters( 'sellnow_section_status', true, 'partners_section_enable' );

        if ( true !== $partners_enable ) {
            return false;
        }

        // Render partners section now.
        sellnow_render_partners_section();
    }
endif;

if ( ! function_exists( 'sellnow_render_partners_section' ) ) :
  /**
   * Start partners section
   *
   * @return string partners content
   * @since Biopexel Pro 1.0.0
   *
   */
   function sellnow_render_partners_section() {
        $options = sellnow_get_theme_options();
        ?>
          <div id="sellnow_partners_section" class="page-section relative">
            <div class="wrapper">
                <?php if ( is_customize_preview()):
                  sellnow_section_tooltip( 'sellnow_partners_section' );
                endif; ?>
                <div class="logos col-6 clear">
                    <?php for ( $i = 1; $i <= 6; $i++){ ?>
                        <article>
                            <?php if( !empty( $options['partners_url_' . $i] ) && !empty( $options['partners_image_' . $i] ) ): ?>
                                <a href="<?php echo esc_url( $options['partners_url_' . $i] ); ?>" target="_blank"><img src="<?php echo esc_url( $options['partners_image_' . $i] ); ?>"></a>
                            <?php endif; ?>
                        </article>
                    <?php } ?>
                </div><!-- .col-4 -->
            </div><!-- .wrapper -->
        </div><!-- #sellnow_partners_section_section -->
            
    <?php }
endif;