<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Theme Palace
 * @subpackage  Sellnow
 * @since  Sellnow 1.0.0
 */

get_header(); 
$options = sellnow_get_theme_options();

?>

<div id="inner-content-wrapper" class="wrapper page-section">
    <div id="primary" class="content-area">
    	<div id="sellnow_recent_stories_section" class="page-section same-background relative">
    		<div class="wrapper">
    			<div class="section-content <?php echo esc_attr( $options['blog_column'] ); ?>">
    				<?php
    				if ( have_posts() ) : ?>

    					<?php
    					/* Start the Loop */
    					while ( have_posts() ) : the_post();

							/*
							 * Include the Post-Format-specific template for the content.
							 * If you want to override this in a child theme, then include a file
							 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
							 */
							get_template_part( 'template-parts/content', get_post_format() );

						endwhile;

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif; ?>
				</div>
			</div>
		</div>
		<?php  
		/**
		* Hook - sellnow_action_pagination.
		*
		* @hooked sellnow_pagination 
		*/
		do_action( 'sellnow_action_pagination' ); 

		?>
	</div><!-- #primary -->

	<?php  
	if ( sellnow_is_sidebar_enable() ) {
		get_sidebar();
	}
	?>
</div><!-- .wrapper -->

<?php
get_footer();
