<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage  Sellnow
 * @since  Sellnow 1.0.0
 */
$options = sellnow_get_theme_options();
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'clear' ); ?>>
	<?php if( has_post_thumbnail() ){ ?>

		<div class="featured-image">
			<a href="<?php the_permalink(); ?>"><img src="<?php the_post_thumbnail_url( 'large' ) ?>" alt="<?php the_title(); ?>"></a>
		</div>

	<?php } ?>
	<div class="entry-container">
		<div class="entry-content">
			<?php
				the_content( sprintf(
					/* translators: %s: Name of current post. */
					wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'sellnow' ), array( 'span' => array( 'class' => array() ) ) ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				) );

				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'sellnow' ),
					'after'  => '</div>',
				) );
			?>
		</div><!-- .entry-content -->
	</div>
	<div class="entry-meta">
		<?php
		echo sellnow_author();
		if (! $options['single_post_hide_date'] ) :
			sellnow_posted_on();
		endif; 

		if (! $options['single_post_hide_category'] ) :
			sellnow_single_categories();
		endif; 
		
		?>

	</div>

		<?php sellnow_entry_footer(); ?>

</article><!-- #post-## -->
