<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage  Sellnow
 * @since  Sellnow 1.0.0
 */

$options = sellnow_get_theme_options();
$id = get_the_id();
?>

<article>
    <div class="recent-stories-post-wrapper">
        <div class="featured-image" style="background-image: url('<?php echo (has_post_thumbnail( )) ? the_post_thumbnail_url( 'large' ) : get_template_directory_uri().'/assets/uploads/no-featured-image-600x450.jpg' ?>');">
            <div class="date">
                <span class="day"><?php echo get_the_date('n', $id); ?></span>
                <span class="month"><?php echo get_the_date('M', $id); ?></span>
            </div>
        </div>

       <div class="entry-container">
            <div class="entry-meta">
                <?php echo sellnow_article_header_meta();  ?>    
            </div><!-- .entry-meta -->

            <header class="entry-header">
                <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
            </header>
        </div><!-- .entry-container -->
    </div>
</article>
